FilterBasedTriggeringPolicy Class Reference

FilterBasedTriggeringPolicy determines if rolling should be triggered by evaluating the current message against a set of filters. More...

Inherits TriggeringPolicy.

## Public Member Functions

| FilterBasedTriggeringPolicy ()
| Creates a new FilterBasedTriggeringPolicy. More...
virtual | ~FilterBasedTriggeringPolicy ()
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)
| Determines if a rollover may be appropriate at this time. More...
void | addFilter (const log4cxx::spi::FilterPtr &newFilter)
| Add a filter to end of the filter list. More...
void | clearFilters ()
| Clear the filters chain. More...
log4cxx::spi::FilterPtr & | getFilter ()
| Returns the head Filter. More...
void | activateOptions (log4cxx::helpers::Pool &)
| Prepares the instance for use. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from TriggeringPolicy
virtual | ~TriggeringPolicy ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

FilterBasedTriggeringPolicy determines if rolling should be triggered by evaluating the current message against a set of filters.

Unless a filter rejects a message, a rolling event will be triggered.

## Constructor & Destructor Documentation

FilterBasedTriggeringPolicy | ( |  | ) |

Creates a new FilterBasedTriggeringPolicy.

virtual ~FilterBasedTriggeringPolicy | ( |  | ) |

virtual

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & |  | ) |

virtual

Prepares the instance for use.

Implements OptionHandler.

void addFilter | ( | const log4cxx::spi::FilterPtr & | newFilter | ) |

Add a filter to end of the filter list.

Parameters

  newFilter | filter to add to end of list.

void clearFilters | ( |  | ) |

Clear the filters chain.

log4cxx::spi::FilterPtr& getFilter | ( |  | ) |

Returns the head Filter.

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) |  |

virtual

Determines if a rollover may be appropriate at this time.

If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted.

Parameters

  appender | A reference to the appender.
  event | A reference to the currently event.
  filename | The filename for the currently active log file.
  fileLength | Length of the file in bytes.

Returns
  true if a rollover should occur.

Implements TriggeringPolicy.

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Implements OptionHandler.

The documentation for this class was generated from the following file:

- filterbasedtriggeringpolicy.h